Bug 1125909 - On EL7 /lib doesn't exist anymore
Summary: On EL7 /lib doesn't exist anymore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-ha
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Sandro Bonazzola
QA Contact: Nikolai Sednev
URL: http://brewtap.app.eng.bos.redhat.com...
Whiteboard: sla
Depends On: 1139020 1154769 1158770
Blocks: 1125813 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-01 10:18 UTC by Sandro Bonazzola
Modified: 2016-02-10 20:16 UTC (History)
6 users (show)

Fixed In Version: ovirt-hosted-engine-ha-1.2.1-0.3.master.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 21:09:02 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0194 normal SHIPPED_LIVE ovirt-hosted-engine-ha bug fix and enhancement update 2015-02-12 01:35:33 UTC
oVirt gerrit 30925 None None None Never
oVirt gerrit 31025 None None None Never

Description Sandro Bonazzola 2014-08-01 10:18:43 UTC
• MoveToUsr [?]
 	/lib no longer exists; please move /lib/systemd/systemd-ovirt-ha-agent to /usr/lib
 • MoveToUsr [?]
 	/lib no longer exists; please move /lib/systemd/systemd-ovirt-ha-broker to /usr/lib

Comment 1 Sandro Bonazzola 2014-08-12 07:27:59 UTC
All relevant patches have been merged

Comment 2 Nikolai Sednev 2014-08-12 09:07:19 UTC
(In reply to Sandro Bonazzola from comment #1)
> All relevant patches have been merged

Hi Sandro,
I don't saw the hosted engine package ready for RHEL7 yet, please provide it first, otherwise I can't proceed with this verification.

Comment 3 Sandro Bonazzola 2014-08-12 09:13:10 UTC
Nikolai, this bug is not on QA yet.
No upstream official release contains this fix yet and no downstream rpm is yet built with this fix included.

You can use upstream nightly snapshot if you want to give it a run, see
 http://www.ovirt.org/Install_nightly_snapshot

Comment 6 Jiri Moskovcak 2014-09-02 14:03:20 UTC
according to git log it was fixed in ovirt-hosted-engine-ha-1.2.1_rc1 (at least what I can tell from the tag).

Comment 10 Nikolai Sednev 2014-11-26 18:00:26 UTC
Works for me on these components:
# find / -name systemd-ovirt-ha-agent
/usr/lib/systemd/systemd-ovirt-ha-agent

libvirt-daemon-driver-nwfilter-1.1.1-29.el7_0.3.x86_64
libvirt-lock-sanlock-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-kvm-1.1.1-29.el7_0.3.x86_64
ovirt-hosted-engine-setup-1.2.1-5.el7ev.noarch
qemu-kvm-rhev-1.5.3-60.el7_0.11.x86_64
libvirt-daemon-1.1.1-29.el7_0.3.x86_64
libvirt-python-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-driver-interface-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-driver-secret-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-driver-nodedev-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-driver-network-1.1.1-29.el7_0.3.x86_64
ovirt-hosted-engine-ha-1.2.4-1.el7.noarch
ovirt-host-deploy-1.3.0-1.el7.noarch
libvirt-client-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-driver-storage-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-config-nwfilter-1.1.1-29.el7_0.3.x86_64
libvirt-daemon-driver-qemu-1.1.1-29.el7_0.3.x86_64
vdsm-4.16.7.6-1.el7ev.x86_64
sanlock-3.1.0-2.el7.x86_64

Comment 12 errata-xmlrpc 2015-02-11 21:09:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0194.html


Note You need to log in before you can comment on or make changes to this bug.